<template>
    <div class="spinner">
        <p>
            Loading...
        </p>
    </div>
</template>

<style scoped>
    .spinner {
        position: absolute;
        display: flex;
        justify-content: center;
        height: 100vh;
        width: 100vw;
        background-color: white;
        top: 0;
        bottom: 0;
        left: 0;
        right: 0;
    }
</style>

<script lang='ts'>
	import {Component, Vue} from 'vue-property-decorator';
	
	@Component({})
	export default class Callback extends Vue {
		handleLoginEvent(data: any) {
			this.$router.push(data.state.target || "/");
		}

		async created(): Promise<void> {
			await this.$auth.handleAuthentication();
		}
	}
</script>
